WinCrypt (JNA API)

com.sun.jna.platform.win32

## Interface WinCrypt

-     public interface WinCrypt

  Ported from WinCrypt.h. Microsoft Windows SDK 6.0A.
  Author:
    dblock[at]dblock.org

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `WinCrypt.CRYPTPROTECT_PROMPTSTRUCT` The CRYPTPROTECT_PROMPTSTRUCT structure provides the text of a prompt and information about when and where that prompt is to be displayed when using the CryptProtectData and CryptUnprotectData functions.
    `static class` | `WinCrypt.DATA_BLOB` The CryptoAPI CRYPTOAPI_BLOB structure is used for an arbitrary array of bytes.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CRYPT_E_ASN1_BADARGS` ASN.1 bad arguments to function call
    `static int` | `CRYPT_E_ASN1_BADPDU` ASN.1 function not supported for this PDU
    `static int` | `CRYPT_E_ASN1_BADREAL` ASN.1 bad real value
    `static int` | `CRYPT_E_ASN1_BADTAG` ASN.1 bad tag value met
    `static int` | `CRYPT_E_ASN1_CHOICE` ASN.1 bad choice value
    `static int` | `CRYPT_E_ASN1_CONSTRAINT` ASN.1 constraint violated
    `static int` | `CRYPT_E_ASN1_CORRUPT` ASN.1 corrupted data
    `static int` | `CRYPT_E_ASN1_EOD` ASN.1 unexpected end of data
    `static int` | `CRYPT_E_ASN1_ERROR` ASN.1 Certificate encode/decode return value base
    `static int` | `CRYPT_E_ASN1_EXTENDED` ASN.1 skipped unknown extensions
    `static int` | `CRYPT_E_ASN1_INTERNAL` ASN.1 internal encode or decode error
    `static int` | `CRYPT_E_ASN1_LARGE` ASN.1 value too large
    `static int` | `CRYPT_E_ASN1_MEMORY` ASN.1 out of memory
    `static int` | `CRYPT_E_ASN1_NOEOD` ASN.1 end of data expected
    `static int` | `CRYPT_E_ASN1_NYI` ASN.1 not yet implemented
    `static int` | `CRYPT_E_ASN1_OVERFLOW` ASN.1 buffer overflow
    `static int` | `CRYPT_E_ASN1_PDU_TYPE` ASN.1 bad PDU type
    `static int` | `CRYPT_E_ASN1_RULE` ASN.1 bad encoding rule
    `static int` | `CRYPT_E_ASN1_UTF8` ASN.1 bad Unicode (UTF8)
    `static int` | `CRYPTPROTECT_AUDIT` Generate an Audit on protect and unprotect operations.
    `static int` | `CRYPTPROTECT_CRED_REGENERATE` Regenerate the local machine protection.
    `static int` | `CRYPTPROTECT_CRED_SYNC` Force credential synchronize during CryptProtectData() Synchronize is only operation that occurs during this operation.
    `static int` | `CRYPTPROTECT_LOCAL_MACHINE` Per machine protected data -- any user on machine where CryptProtectData took place may CryptUnprotectData.
    `static int` | `CRYPTPROTECT_NO_RECOVERY` Protect data with a non-recoverable key.
    `static int` | `CRYPTPROTECT_PROMPT_ON_PROTECT` Prompt on protect.
    `static int` | `CRYPTPROTECT_PROMPT_ON_UNPROTECT` Prompt on unprotect.
    `static int` | `CRYPTPROTECT_PROMPT_REQUIRE_STRONG` Require strong variant UI protection (user supplied password currently).
    `static int` | `CRYPTPROTECT_PROMPT_RESERVED` Reserved, don't use.
    `static int` | `CRYPTPROTECT_PROMPT_STRONG` Default to strong variant UI protection (user supplied password currently).
    `static int` | `CRYPTPROTECT_UI_FORBIDDEN` For remote-access situations where ui is not an option, if UI was specified on protect or unprotect operation, the call will fail and GetLastError() will indicate ERROR_PASSWORD_RESTRICTION.
    `static int` | `CRYPTPROTECT_VERIFY_PROTECTION` Verify the protection of a protected blob.

- - ### Field Detail

    - #### CRYPTPROTECT_PROMPT_ON_UNPROTECT

          static final int CRYPTPROTECT_PROMPT_ON_UNPROTECT

      Prompt on unprotect.
      See Also:
        Constant Field Values

    - #### CRYPTPROTECT_PROMPT_ON_PROTECT

          static final int CRYPTPROTECT_PROMPT_ON_PROTECT

      Prompt on protect.
      See Also:
        Constant Field Values

    - #### CRYPTPROTECT_PROMPT_RESERVED

          static final int CRYPTPROTECT_PROMPT_RESERVED

      Reserved, don't use.
      See Also:
        Constant Field Values

    - #### CRYPTPROTECT_PROMPT_STRONG

          static final int CRYPTPROTECT_PROMPT_STRONG

      Default to strong variant UI protection (user supplied password currently).
      See Also:
        Constant Field Values

    - #### CRYPTPROTECT_PROMPT_REQUIRE_STRONG

          static final int CRYPTPROTECT_PROMPT_REQUIRE_STRONG

      Require strong variant UI protection (user supplied password currently).
      See Also:
        Constant Field Values

    - #### CRYPTPROTECT_UI_FORBIDDEN

          static final int CRYPTPROTECT_UI_FORBIDDEN

      For remote-access situations where ui is not an option, if UI was specified on protect or unprotect operation, the call will fail and GetLastError() will indicate ERROR_PASSWORD_RESTRICTION.
      See Also:
        Constant Field Values

    - #### CRYPTPROTECT_LOCAL_MACHINE

          static final int CRYPTPROTECT_LOCAL_MACHINE

      Per machine protected data -- any user on machine where CryptProtectData took place may CryptUnprotectData.
      See Also:
        Constant Field Values

    - #### CRYPTPROTECT_CRED_SYNC

          static final int CRYPTPROTECT_CRED_SYNC

      Force credential synchronize during CryptProtectData() Synchronize is only operation that occurs during this operation.
      See Also:
        Constant Field Values

    - #### CRYPTPROTECT_AUDIT

          static final int CRYPTPROTECT_AUDIT

      Generate an Audit on protect and unprotect operations.
      See Also:
        Constant Field Values

    - #### CRYPTPROTECT_NO_RECOVERY

          static final int CRYPTPROTECT_NO_RECOVERY

      Protect data with a non-recoverable key.
      See Also:
        Constant Field Values

    - #### CRYPTPROTECT_VERIFY_PROTECTION

          static final int CRYPTPROTECT_VERIFY_PROTECTION

      Verify the protection of a protected blob.
      See Also:
        Constant Field Values

    - #### CRYPTPROTECT_CRED_REGENERATE

          static final int CRYPTPROTECT_CRED_REGENERATE

      Regenerate the local machine protection.
      See Also:
        Constant Field Values

    - #### CRYPT_E_ASN1_ERROR

          static final int CRYPT_E_ASN1_ERROR

      ASN.1 Certificate encode/decode return value base
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_INTERNAL

          static final int CRYPT_E_ASN1_INTERNAL

      ASN.1 internal encode or decode error
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_EOD

          static final int CRYPT_E_ASN1_EOD

      ASN.1 unexpected end of data
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_CORRUPT

          static final int CRYPT_E_ASN1_CORRUPT

      ASN.1 corrupted data
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_LARGE

          static final int CRYPT_E_ASN1_LARGE

      ASN.1 value too large
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_CONSTRAINT

          static final int CRYPT_E_ASN1_CONSTRAINT

      ASN.1 constraint violated
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_MEMORY

          static final int CRYPT_E_ASN1_MEMORY

      ASN.1 out of memory
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_OVERFLOW

          static final int CRYPT_E_ASN1_OVERFLOW

      ASN.1 buffer overflow
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_BADPDU

          static final int CRYPT_E_ASN1_BADPDU

      ASN.1 function not supported for this PDU
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_BADARGS

          static final int CRYPT_E_ASN1_BADARGS

      ASN.1 bad arguments to function call
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_BADREAL

          static final int CRYPT_E_ASN1_BADREAL

      ASN.1 bad real value
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_BADTAG

          static final int CRYPT_E_ASN1_BADTAG

      ASN.1 bad tag value met
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_CHOICE

          static final int CRYPT_E_ASN1_CHOICE

      ASN.1 bad choice value
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_RULE

          static final int CRYPT_E_ASN1_RULE

      ASN.1 bad encoding rule
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_UTF8

          static final int CRYPT_E_ASN1_UTF8

      ASN.1 bad Unicode (UTF8)
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_PDU_TYPE

          static final int CRYPT_E_ASN1_PDU_TYPE

      ASN.1 bad PDU type
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_NYI

          static final int CRYPT_E_ASN1_NYI

      ASN.1 not yet implemented
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_EXTENDED

          static final int CRYPT_E_ASN1_EXTENDED

      ASN.1 skipped unknown extensions
      See Also:
        MSDN, Constant Field Values

    - #### CRYPT_E_ASN1_NOEOD

          static final int CRYPT_E_ASN1_NOEOD

      ASN.1 end of data expected
      See Also:
        MSDN, Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.